config/routes.rb
Rails.application.routes.draw do
  resources :flights
  resources :item_descriptions
  resources :characters
  resources :items
  resources :games
  resources :users
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  match '/help', to: 'static_pages#help', via: 'get'
end

app/models/item.rb
class Item < ApplicationRecord
  belongs_to :item_description
  belongs_to :owner, polymorphic: true

  def self.create_for(owner, item_description)
    item = Item.new(owner: owner, item_description: item_description)
    item.item_status  = 'ok'
    item.item_charges = item_description.charges_start
    item.save
  end
end

app/controllers/items_controller.rb
class ItemsController < ApplicationController
  before_action :set_item, only: [:show, :edit, :update, :destroy]

  # GET /items
  # GET /items.json
  def index
    @items = Item.all
  end

  # GET /items/1
  # GET /items/1.json
  def show
  end

  # GET /items/new
  def new
    @item = Item.new
  end

  # GET /items/1/edit
  def edit
  end

  # POST /items
  # POST /items.json
  def create
    @item = Item.new(item_params)

    respond_to do |format|
      if @item.save
        format.html { redirect_to @item, notice: 'Item was successfully created.' }
        format.json { render :show, status: :created, location: @item }
      else
        format.html { render :new }
        format.json { render json: @item.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /items/1
  # PATCH/PUT /items/1.json
  def update
    respond_to do |format|
      if @item.update(item_params)
        format.html { redirect_to @item, notice: 'Item was successfully updated.' }
        format.json { render :show, status: :ok, location: @item }
      else
        format.html { render :edit }
        format.json { render json: @item.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /items/1
  # DELETE /items/1.json
  def destroy
    @item.destroy
    respond_to do |format|
      format.html { redirect_to items_url, notice: 'Item was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_item
      @item = Item.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def item_params
      params.require(:item).permit(:owner_id, :owner_type, :item_id, :item_status, :item_charges)
    end
end

app/helpers/items_helper.rb
module ItemsHelper
end

app/views/items/_form.html.erb
<%= form_for(item) do |f| %>
  <% if item.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(item.errors.count, "error") %> prohibited this item from being saved:</h2>

      <ul>
      <% item.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :owner_id %>
    <%= f.number_field :owner_id %>
  </div>

  <div class="field">
    <%= f.label :owner_type %>
    <%= f.text_field :owner_type %>
  </div>

  <div class="field">
    <%= f.label :item_id %>
    <%= f.number_field :item_id %>
  </div>

  <div class="field">
    <%= f.label :item_status %>
    <%= f.text_field :item_status %>
  </div>

  <div class="field">
    <%= f.label :item_charges %>
    <%= f.number_field :item_charges %>
  </div>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/items/edit.html.erb
<h1>Editing Item</h1>

<%= render 'form', item: @item %>

<%= link_to 'Show', @item %> |
<%= link_to 'Back', items_path %>

app/views/items/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Items</h1>

<table>
  <thead>
    <tr>
      <th>Owner</th>
      <th>Owner type</th>
      <th>Item</th>
      <th>Item status</th>
      <th>Item charges</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @items.each do |item| %>
      <tr>
        <td><%= item.owner_id %></td>
        <td><%= item.owner_type %></td>
        <td><%= item.item_id %></td>
        <td><%= item.item_status %></td>
        <td><%= item.item_charges %></td>
        <td><%= link_to 'Show', item %></td>
        <td><%= link_to 'Edit', edit_item_path(item) %></td>
        <td><%= link_to 'Destroy', item, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Item', new_item_path %>

app/views/items/new.html.erb
<h1>New Item</h1>

<%= render 'form', item: @item %>

<%= link_to 'Back', items_path %>

app/views/items/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Owner:</strong>
  <%= @item.owner_id %>
</p>

<p>
  <strong>Owner type:</strong>
  <%= @item.owner_type %>
</p>

<p>
  <strong>Item:</strong>
  <%= @item.item_id %>
</p>

<p>
  <strong>Item status:</strong>
  <%= @item.item_status %>
</p>

<p>
  <strong>Item charges:</strong>
  <%= @item.item_charges %>
</p>

<%= link_to 'Edit', edit_item_path(@item) %> |
<%= link_to 'Back', items_path %>